GET api/v1/emails/{id}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters

None.

Response Information

Resource Description

Email
NameDescriptionTypeAdditional information
id

globally unique identifier

Required

user_id

globally unique identifier

None.

error

string

None.

user

UserSimple

None.

date_of_create

date

Required

date_of_sent

date

None.

state_id

integer

Required

mail_from

string

Required

mail_to

string

Required

subject

string

Required

body

string

Required

template

CodeList

Required

deleted

boolean

Required

system_information

SystemInformation

None.

Response Formats

application/json, text/json

Sample:
{
  "id": "d4e03603-caa0-48c5-b1b4-bc54f1de58d5",
  "user_id": "9a7ad3b8-1e49-4baf-b1ab-cc2d5806e8b7",
  "error": "sample string 2",
  "user": {
    "full_name": "sample string 12 sample string 11",
    "id": "318ab2e3-7da2-4d41-b2c5-e76ae249c7ef",
    "image_id": "e162e080-04d3-44ca-87a3-2348347e2a7a",
    "id_user_work_position": "5ae2f813-27a4-46f7-8701-1c44bd9090ef",
    "id_shift": "872ff784-9089-48b3-a377-1b165b002a27",
    "code": "sample string 5",
    "code2": "sample string 6",
    "title": "sample string 9",
    "introduction": "sample string 10",
    "first_name": "sample string 11",
    "last_name": "sample string 12"
  },
  "date_of_create": "2026-05-06T06:46:05Z",
  "date_of_sent": "2026-05-06T06:46:05Z",
  "state_id": 1,
  "mail_from": "sample string 3",
  "mail_to": "sample string 4",
  "subject": "sample string 5",
  "body": "sample string 6",
  "template": {
    "id": "5cb309aa-bc08-47b5-a8cd-d333864d54db",
    "name": "sample string 2",
    "deleted": true,
    "system_information": {
      "creation": {
        "user": {
          "full_name": "sample string 12 sample string 11",
          "id": "318ab2e3-7da2-4d41-b2c5-e76ae249c7ef",
          "image_id": "e162e080-04d3-44ca-87a3-2348347e2a7a",
          "id_user_work_position": "5ae2f813-27a4-46f7-8701-1c44bd9090ef",
          "id_shift": "872ff784-9089-48b3-a377-1b165b002a27",
          "code": "sample string 5",
          "code2": "sample string 6",
          "title": "sample string 9",
          "introduction": "sample string 10",
          "first_name": "sample string 11",
          "last_name": "sample string 12"
        },
        "date": "2026-05-06T06:46:05Z"
      },
      "last_change": {
        "user": {
          "full_name": "sample string 12 sample string 11",
          "id": "318ab2e3-7da2-4d41-b2c5-e76ae249c7ef",
          "image_id": "e162e080-04d3-44ca-87a3-2348347e2a7a",
          "id_user_work_position": "5ae2f813-27a4-46f7-8701-1c44bd9090ef",
          "id_shift": "872ff784-9089-48b3-a377-1b165b002a27",
          "code": "sample string 5",
          "code2": "sample string 6",
          "title": "sample string 9",
          "introduction": "sample string 10",
          "first_name": "sample string 11",
          "last_name": "sample string 12"
        },
        "date": "2026-05-06T06:46:05Z"
      }
    }
  },
  "deleted": true,
  "system_information": {
    "creation": {
      "user": {
        "full_name": "sample string 12 sample string 11",
        "id": "318ab2e3-7da2-4d41-b2c5-e76ae249c7ef",
        "image_id": "e162e080-04d3-44ca-87a3-2348347e2a7a",
        "id_user_work_position": "5ae2f813-27a4-46f7-8701-1c44bd9090ef",
        "id_shift": "872ff784-9089-48b3-a377-1b165b002a27",
        "code": "sample string 5",
        "code2": "sample string 6",
        "title": "sample string 9",
        "introduction": "sample string 10",
        "first_name": "sample string 11",
        "last_name": "sample string 12"
      },
      "date": "2026-05-06T06:46:05Z"
    },
    "last_change": {
      "user": {
        "full_name": "sample string 12 sample string 11",
        "id": "318ab2e3-7da2-4d41-b2c5-e76ae249c7ef",
        "image_id": "e162e080-04d3-44ca-87a3-2348347e2a7a",
        "id_user_work_position": "5ae2f813-27a4-46f7-8701-1c44bd9090ef",
        "id_shift": "872ff784-9089-48b3-a377-1b165b002a27",
        "code": "sample string 5",
        "code2": "sample string 6",
        "title": "sample string 9",
        "introduction": "sample string 10",
        "first_name": "sample string 11",
        "last_name": "sample string 12"
      },
      "date": "2026-05-06T06:46:05Z"
    }
  }
}

application/xml, text/xml

Sample:
<Email xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/IO.Swagger.Models">
  <body>sample string 6</body>
  <date_of_create>2026-05-06T08:46:05.1082191+02:00</date_of_create>
  <date_of_sent>2026-05-06T08:46:05.1082191+02:00</date_of_sent>
  <deleted>true</deleted>
  <error>sample string 2</error>
  <id>d4e03603-caa0-48c5-b1b4-bc54f1de58d5</id>
  <mail_from>sample string 3</mail_from>
  <mail_to>sample string 4</mail_to>
  <state_id>1</state_id>
  <subject>sample string 5</subject>
  <system_information>
    <creation>
      <date>2026-05-06T08:46:05.1082191+02:00</date>
      <user>
        <code>sample string 5</code>
        <code2>sample string 6</code2>
        <first_name>sample string 11</first_name>
        <full_name>sample string 12 sample string 11</full_name>
        <id>318ab2e3-7da2-4d41-b2c5-e76ae249c7ef</id>
        <id_shift>872ff784-9089-48b3-a377-1b165b002a27</id_shift>
        <id_user_work_position>5ae2f813-27a4-46f7-8701-1c44bd9090ef</id_user_work_position>
        <image_id>e162e080-04d3-44ca-87a3-2348347e2a7a</image_id>
        <introduction>sample string 10</introduction>
        <last_name>sample string 12</last_name>
        <title>sample string 9</title>
      </user>
    </creation>
    <last_change>
      <date>2026-05-06T08:46:05.1082191+02:00</date>
      <user>
        <code>sample string 5</code>
        <code2>sample string 6</code2>
        <first_name>sample string 11</first_name>
        <full_name>sample string 12 sample string 11</full_name>
        <id>318ab2e3-7da2-4d41-b2c5-e76ae249c7ef</id>
        <id_shift>872ff784-9089-48b3-a377-1b165b002a27</id_shift>
        <id_user_work_position>5ae2f813-27a4-46f7-8701-1c44bd9090ef</id_user_work_position>
        <image_id>e162e080-04d3-44ca-87a3-2348347e2a7a</image_id>
        <introduction>sample string 10</introduction>
        <last_name>sample string 12</last_name>
        <title>sample string 9</title>
      </user>
    </last_change>
  </system_information>
  <template>
    <deleted>true</deleted>
    <id>5cb309aa-bc08-47b5-a8cd-d333864d54db</id>
    <name>sample string 2</name>
    <system_information>
      <creation>
        <date>2026-05-06T08:46:05.1082191+02:00</date>
        <user>
          <code>sample string 5</code>
          <code2>sample string 6</code2>
          <first_name>sample string 11</first_name>
          <full_name>sample string 12 sample string 11</full_name>
          <id>318ab2e3-7da2-4d41-b2c5-e76ae249c7ef</id>
          <id_shift>872ff784-9089-48b3-a377-1b165b002a27</id_shift>
          <id_user_work_position>5ae2f813-27a4-46f7-8701-1c44bd9090ef</id_user_work_position>
          <image_id>e162e080-04d3-44ca-87a3-2348347e2a7a</image_id>
          <introduction>sample string 10</introduction>
          <last_name>sample string 12</last_name>
          <title>sample string 9</title>
        </user>
      </creation>
      <last_change>
        <date>2026-05-06T08:46:05.1082191+02:00</date>
        <user>
          <code>sample string 5</code>
          <code2>sample string 6</code2>
          <first_name>sample string 11</first_name>
          <full_name>sample string 12 sample string 11</full_name>
          <id>318ab2e3-7da2-4d41-b2c5-e76ae249c7ef</id>
          <id_shift>872ff784-9089-48b3-a377-1b165b002a27</id_shift>
          <id_user_work_position>5ae2f813-27a4-46f7-8701-1c44bd9090ef</id_user_work_position>
          <image_id>e162e080-04d3-44ca-87a3-2348347e2a7a</image_id>
          <introduction>sample string 10</introduction>
          <last_name>sample string 12</last_name>
          <title>sample string 9</title>
        </user>
      </last_change>
    </system_information>
  </template>
  <user>
    <code>sample string 5</code>
    <code2>sample string 6</code2>
    <first_name>sample string 11</first_name>
    <full_name>sample string 12 sample string 11</full_name>
    <id>318ab2e3-7da2-4d41-b2c5-e76ae249c7ef</id>
    <id_shift>872ff784-9089-48b3-a377-1b165b002a27</id_shift>
    <id_user_work_position>5ae2f813-27a4-46f7-8701-1c44bd9090ef</id_user_work_position>
    <image_id>e162e080-04d3-44ca-87a3-2348347e2a7a</image_id>
    <introduction>sample string 10</introduction>
    <last_name>sample string 12</last_name>
    <title>sample string 9</title>
  </user>
  <user_id>9a7ad3b8-1e49-4baf-b1ab-cc2d5806e8b7</user_id>
</Email>